Bug 1204149 - [BUG] Statistics only report for "All Hosts" and not "Content Hosts"
Summary: [BUG] Statistics only report for "All Hosts" and not "Content Hosts"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.0.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-20 13:38 UTC by Alexander von Gluck IV
Modified: 2019-11-14 06:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:49:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
missing statistics (17.85 KB, image/png)
2015-03-20 13:41 UTC, Alexander von Gluck IV
no flags Details
present content hosts (165.49 KB, image/png)
2015-03-20 13:42 UTC, Alexander von Gluck IV
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Alexander von Gluck IV 2015-03-20 13:38:39 UTC
The charts in statistics reference:
  /hosts?search=os_description=~VAL1~

That only contains "all hosts" and not "content hosts".

As we have no "all hosts", all the charts are blank.

Comment 1 Alexander von Gluck IV 2015-03-20 13:41:42 UTC
Created attachment 1004505 [details]
missing statistics

Comment 2 Alexander von Gluck IV 2015-03-20 13:42:01 UTC
Created attachment 1004506 [details]
present content hosts

Comment 3 RHEL Program Management 2015-03-20 13:43:03 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Brad Buckingham 2016-02-26 19:03:10 UTC
One of the features being introduced as part of Satellite 6.2, is "Host Unification".  It is basically the unification of the Host and Content Host.  With this feature, for any content host that gets created, there will always be an associated host (as the content is just a 'facet' of the host).  This means that as far as statistics are concerned, any applicable statistics will be included.  That said, for a base content host that doesn't have puppet, this may be fairly limited (e.g. only OS and arch).

Comment 7 jcallaha 2016-04-14 19:46:04 UTC
Verified in Satellite 6.2 Beta Snap 8 Compose 1. All applicable statistics are now reported for content hosts.

Comment 9 errata-xmlrpc 2016-07-27 08:49:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.